#! /bin/sh


BASEDIR="/usr/local/Brother/sane/"
VERSION="`echo $0 | sed 's/^.*brscan-skey-net-//g' | sed s/"\.sh"//`"

SCRIPTDIR=$BASEDIR"script"



#------------------------------------
mk_scantoimage_script() {
cat <<!MK_SCANTOIMAGE_SCRIPT! >$SCRIPTDIR"/scantoimage-"$VERSION".sh"
#! /bin/sh
#
#   \$1 = scanner device
#   \$2 = friendly name
#

#   $resolution
#       100,200,300,400,600
#
resolution=100
device=\$1
mkdir -p ~/brscan
usleep 10000
output_file=\`mktemp ~/brscan/brscan.XXXXXX\`
echo "scan from \$2(\$device) to \$output_file"
scanimage --device-name "\$device" --resolution \$resolution> \$output_file
echo gimp \$output_file \;rm -f \$output_file | sh &
!MK_SCANTOIMAGE_SCRIPT!
chmod 755 $SCRIPTDIR"/scantoimage-"$VERSION".sh"
}


#------------------------------------


mk_scantofile_script() {
cat <<!MK_SCANTOFILE_SCRIPT! >$SCRIPTDIR"/scantofile-""$VERSION"".sh"
#! /bin/sh
#
#   \$1 = scanner device
#   \$2 = friendly name
#

#   $resolution
#       100,200,300,400,600
#
resolution=100
device=\$1
mkdir -p ~/brscan
usleep 10000
output_file=\`mktemp ~/brscan/brscan.XXXXXX\`
echo "scan from \$2(\$device) to \$output_file"
scanimage --device-name "\$device" --resolution \$resolution> \$output_file
!MK_SCANTOFILE_SCRIPT!
chmod 755 $SCRIPTDIR"/scantofile-""$VERSION"".sh"
}


#------------------------------------


mk_inifile1() {
cat <<!MK__INIFILE1! >$BASEDIR"brscan-skey-net-"$VERSION".cfg"
password=
IMAGE="sh  /usr/local/Brother/sane/script/scantoimage-$VERSION.sh"
OCR=
EMAIL=
FILE="sh  /usr/local/Brother/sane/script/scantofile-$VERSION.sh"
!MK__INIFILE1!
chmod 644 $BASEDIR"brscan-skey-net-"$VERSION".cfg"
}


#------------------------------------


mk_inifile2() {
cat <<!MK__INIFILE2! >$BASEDIR"brscan-skey-net-"$VERSION".cfg"
password=
eth=eth0
ip_address = 
user = 
IMAGE="sh  /usr/local/Brother/sane/script/scantoimage-$VERSION.sh"
OCR=""
EMAIL=
FILE="sh  /usr/local/Brother/sane//script/scantofile-$VERSION.sh"
DEBUG=0
LOG=0
NETLOG=0
ERRMSG=0
CONFIGSCR=$0
!MK__INIFILE2!
chmod 644 $BASEDIR"brscan-skey-net-"$VERSION".cfg"
}


#------------------------------------

mkdir -p $SCRIPTDIR


case "$1" in
    "")
       mkdir -p $SCRIPTDIR
       mk_scantofile_script
       mk_scantoimage_script
       mk_inifile1
       ;;
    "0")
       mkdir -p $SCRIPTDIR
       mk_scantofile_script
       mk_scantoimage_script
       mk_inifile1
       ;;
    "1")
       mkdir -p $SCRIPTDIR
       mk_scantofile_script
       mk_scantoimage_script
       mk_inifile2
       ;;
    "r")
       rm -f "$BASEDIR"brscan-skey-net-"$VERSION".cfg
       rm -f "$SCRIPTDIR"/scantoimage-"$VERSION".sh
       rm -f "$SCRIPTDIR"/scantofile-"$VERSION".sh
       rmdir $SCRIPTDIR
       ;;
    * )
       mk_scantofile_script
       mk_scantoimage_script
       mk_inifile1
       ;;
esac

